# IMFSplitBarPart Struct Reference
[MCFrame]

Inheritance diagram for IMFSplitBarPart:

List of all members.

## Public Member Functions
virtual IMFPart *MCCOMAPI | GetThisPart ()=0
virtual void MCCOMAPI | RepositionParts ()=0
virtual MFPartID MCCOMAPI | GetTopLeftPartID ()=0
virtual void MCCOMAPI | SetTopLeftPartID (MFPartID inTopLeftPartID)=0
virtual MFPartID MCCOMAPI | GetBotRightPartID ()=0
virtual void MCCOMAPI | SetBotRightPartID (MFPartID inBotRightPartID)=0
virtual ESplitDirection MCCOMAPI | GetSplitDirection ()=0
virtual void MCCOMAPI | SetSplitDirection (ESplitDirection inDirection)=0
virtual ESplitMode MCCOMAPI | GetSplitMode ()=0
virtual void MCCOMAPI | SetSplitMode (ESplitMode inSplitMode)=0
virtual real MCCOMAPI | GetSplitRatio ()=0
virtual void MCCOMAPI | SetSplitRatio (real inSplitRatio)=0
virtual int32 MCCOMAPI | GetPreferedSize ()=0
virtual void MCCOMAPI | SetPreferedSize (int32 inPreferedSize)=0
virtual MFPartID MCCOMAPI | GetPreferedPartID ()=0
virtual void MCCOMAPI | SetPreferedPartID (MFPartID inPreferedPartID)=0
virtual void MCCOMAPI | AdjustSplitBar (int32 delta)=0

## Member Function Documentation

virtual void MCCOMAPI IMFSplitBarPart::AdjustSplitBar | ( | int32 | delta | ) | `[pure virtual]`

virtual MFPartID MCCOMAPI IMFSplitBarPart::GetBotRightPartID | ( |  | ) | `[pure virtual]`

virtual MFPartID MCCOMAPI IMFSplitBarPart::GetPreferedPartID | ( |  | ) | `[pure virtual]`

virtual int32 MCCOMAPI IMFSplitBarPart::GetPreferedSize | ( |  | ) | `[pure virtual]`

virtual ESplitDirection MCCOMAPI IMFSplitBarPart::GetSplitDirection | ( |  | ) | `[pure virtual]`

virtual ESplitMode MCCOMAPI IMFSplitBarPart::GetSplitMode | ( |  | ) | `[pure virtual]`

virtual real MCCOMAPI IMFSplitBarPart::GetSplitRatio | ( |  | ) | `[pure virtual]`

virtual IMFPart* MCCOMAPI IMFSplitBarPart::GetThisPart | ( |  | ) | `[pure virtual]`

virtual MFPartID MCCOMAPI IMFSplitBarPart::GetTopLeftPartID | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::RepositionParts | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::SetBotRightPartID | ( | MFPartID | inBotRightPartID | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::SetPreferedPartID | ( | MFPartID | inPreferedPartID | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::SetPreferedSize | ( | int32 | inPreferedSize | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::SetSplitDirection | ( | ESplitDirection | inDirection | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::SetSplitMode | ( | ESplitMode | inSplitMode | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::SetSplitRatio | ( | real | inSplitRatio | ) | `[pure virtual]`

virtual void MCCOMAPI IMFSplitBarPart::SetTopLeftPartID | ( | MFPartID | inTopLeftPartID | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMFSplitBarPart.h